Page 1 sur 3

Ubuntu - Faut-il migrer de Feisty 7.04 à la version 7.10 ?

MessagePosté: 07 Nov 2007, 13:25
de calba
Bonjour

Ma question comporte deux volets :

1/-
- Est-il prudent ou simplement raisonnable de passer à la version 7.10 d'Ubuntu ?
- Est ce facile à faire ?
- Y a t-il des précautions particulières à prendre avant de cliquer sur "mise à jour" ?
- La version 7.10 est-elle assez "débuggée" pour que l'utilisateur lambda - ou pire - débutant Linux ne se retrouve pas devant des problèmes insolubles pour lui ?
- Avez vous déjà sur ce forum ou d'autres un feedback très positif / positif / plutôt négatif ?

2/-
- Est-il nécessaire de passer à la version 7.10 ? Pour combler des failles de sécurité par exemple ou plus simplement, comme c'est peut être mon cas, pour résoudre des problèmes de compatibilité avec certains périphériques.

Je développe ce 2ème volet.
Je possède un Scanner CanoScan LIDE 20 (connexion et alim via USB) qui a marché et marche toujours sous XP (mais pas sous Vista, merci Vista) et qui ne démarre pas sous Ubuntu Feisty Fawn vers. 7.04.
Pourtant le scanner est bien reconnu par Xsane (je vois la référence "lide 20" du scanner apparaître dans les fenêtres de Xsane).

Je suis allé sur de nombreux sites et tous confirment que bien que le driver adapté au Lide 20 existe dans la vers. 7.04, le Lide 20 ne marche pas. Il y a un problème (lié à usb semble-t-il) que certains "experts" ont résolu mais de façon bien trop acrobatique pour le débutant.
Or je viens de lire que le scanner Lide 20 marche sans problème avec la version 7.10.
Le confirmez vous ?

Bref je suis donc un peu perdu dans tout ça et je ne dois pas être le seul.
J'aimerais bien que mon scanner marche AUSSI sous linux mais pas en foutant le b..del sur le pc.

Vos conseils et recommandations seront comme tjrs les bienvenus.

a+

MessagePosté: 07 Nov 2007, 13:59
de piratebab
Bonjour,
le problème de mise à jour n'est pas spécifique à linux.
T'es tu posé la même question lors du passage de W2K à XP ?
A l'époque j'étais resté en W2K, il me donnait satisfaction.

Une des raisons qui me font préféré debian à ubuntu, c'est justement les mise à jour. Sous debian c'est une évolution permanente (version testing), ce qui n'est pas possible sous ubuntu.
Ubuntu, comme toute distribution linux, continu à faire le support des anciennes versions, c'est à dire que les mises à jour de sécurité continuent à être effectué (généralement pendant 2 ou 3 ans).

Si tu ne te sens pas l'âme d'un bidouilleur, évite de mettre à jour ta version existante. C'est bien rare qu'a la fin il n'y ai pas un truc ou deux à régler via la ligne de commande.
Si tu veux jouer la sécurité, tu installes la nouvelle version à coté de l'ancienne (sauvegarde tes données!).
Lorsque tout est OK, tu vires l'ancienne de ton disque.

MessagePosté: 07 Nov 2007, 14:20
de calba
salut Pirate

je vois que tu jettes un regard d'aigle sur tous les sujets du forum Linux et que rien ne t'échappe !

En fait je n'ai jamais eu ce pb avec windows car j'ai changé de pc je crois à chaque nouvelle version de win-doze (un peu par hasard en fait). Donc j'ai eu un PC win98, un PC xp et un PC vista. Avant j'avais connu toutes les versions possibles de DOS jusqu'à DOS 6.

En tout cas merci de tes conseils de prudence concernant une éventuelle migration vers 7.10.

Géniale l'idée d'avoir les 2 versions l'une à côté de l'autre !!

Mais alors il faut graver une copie iso et faire un live CD, faire une nouvelle partition en ext3 quelque part et une autre swap, non ?
Il y aurait donc sur mon pc la possibilité d'un triple boot : Vista / ubuntu 7.04 / ubuntu 7.10 ?

J'ai pigé ou j'ai tout faux ?

a+

MessagePosté: 07 Nov 2007, 18:01
de jessminder
Tu as pigé ! :wink:

MessagePosté: 07 Nov 2007, 18:34
de piratebab
Il y a même encore plus subtil.
Les 2 versions de "la chose " (désolé je n'arrive pas à écrire le nom de cette distribution :p ) peuvent partager le même swap, et même le /home!
Ubuntu est un mot africain très ancien qui signifie: "je n'ai pas réussi à configurer ma Debian"

MessagePosté: 07 Nov 2007, 19:40
de bellafago
bonjour,


Le problème , c'est qu'apparemment Debian sur du 64 bits " ça ne le fait pas"...! alors qu'une Fedora, Net BSD, et combien d'autres sans problèmes.

@+

MessagePosté: 07 Nov 2007, 19:59
de piratebab
Bonsoir,
installer une debian 32b sur un proc 64b, ça fonctionne très bien.Mais je déconseillerai une install tout en 64b.

MessagePosté: 07 Nov 2007, 20:10
de bellafago
bonjour,

N'ayant que du 64bits, plus ATI, celà n'arrange pas les choses...et chez moi , elle ne passe pas, désolé, ( et puis chacun en démocratie est libre d'installer ce qu'il désire sans ètre pour autant obligé de passer sous les fourches caudines d'un dictat quelconque).

@+

MessagePosté: 07 Nov 2007, 20:36
de jessminder
salut

ATi n'ets plus du tout un problème et j'attends le pilote Catalyst 8.42 pour Linux qui améliore sensiblement les perfs des cartes ATi !

MessagePosté: 07 Nov 2007, 20:52
de bellafago
bonsoir,


Les distributions qui m'ont planté sont : Mandriva, il y a 2 ou 3 ans en 32 bits, Debian sur du 64, Free BSD, Freesbie, par contre Net BSD 4.0 et 4.1, Fedora 7, Simply mepis 6.5, Suse 10.3, Gentoo, Pardus, Sabayon, Belenix ,elles passent , dommage...

@+